# azure.mgmt.datalake.store.operations module

class `azure.mgmt.datalake.store.operations.``AccountsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  AccountsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2016-11-01”.

  `check_name_availability`(location, name, custom_headers=None, raw=False, **operation_config)

    Checks whether the specified account name is available or taken.

    Parameters:

    - location (str) – The resource location without whitespace.
    - name (str) – The Data Lake Store name to check availability for.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | NameAvailabilityInformation or ClientRawResponse if raw=true
    Return type: | NameAvailabilityInformation or ClientRawResponse
    Raises: | `CloudError`

  `create`(resource_group_name, account_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates the specified Data Lake Store account.

    Parameters:

    - resource_group_name (str) – The name of the Azure resource group.
    - account_name (str) – The name of the Data Lake Store account.
    - parameters (CreateDataLakeStoreAccountParameters) – Parameters supplied to create the Data Lake Store account.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns DataLakeStoreAccount or ClientRawResponse<DataLakeStoreAccount> if raw==True
    Return type: | AzureOperationPoller[DataLakeStoreAccount] or AzureOperationPoller[ClientRawResponse[DataLakeStoreAccount]]
    Raises: | `CloudError`

  `delete`(resource_group_name, account_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes the specified Data Lake Store account.

    Parameters:

    - resource_group_name (str) – The name of the Azure resource group.
    - account_name (str) – The name of the Data Lake Store account.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `enable_key_vault`(resource_group_name, account_name, custom_headers=None, raw=False, **operation_config)

    Attempts to enable a user managed Key Vault for encryption of the specified Data Lake Store account.

    Parameters:

    - resource_group_name (str) – The name of the Azure resource group.
    - account_name (str) – The name of the Data Lake Store account.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `get`(resource_group_name, account_name, custom_headers=None, raw=False, **operation_config)

    Gets the specified Data Lake Store account.

    Parameters:

    - resource_group_name (str) – The name of the Azure resource group.
    - account_name (str) – The name of the Data Lake Store account.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | DataLakeStoreAccount or ClientRawResponse if raw=true
    Return type: | DataLakeStoreAccount or ClientRawResponse
    Raises: | `CloudError`

  `list`(filter=None, top=None, skip=None, select=None, orderby=None, count=None, custom_headers=None, raw=False, **operation_config)

    Lists the Data Lake Store accounts within the subscription. The response includes a link to the next page of results, if any.

    Parameters:

    - filter (str) – OData filter. Optional.
    - top (int) – The number of items to return. Optional.
    - skip (int) – The number of items to skip over before returning elements. Optional.
    - select (str) – OData Select statement. Limits the properties on each entry to just those requested, e.g. Categories?$select=CategoryName,Description. Optional.
    - orderby (str) – OrderBy clause. One or more comma-separated expressions with an optional “asc” (the default) or “desc” depending on the order you’d like the values sorted, e.g. Categories?$orderby=CategoryName desc. Optional.
    - count (bool) – The Boolean value of true or false to request a count of the matching resources included with the resources in the response, e.g. Categories?$count=true. Optional.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of DataLakeStoreAccountBasic
    Return type: | DataLakeStoreAccountBasicPaged[DataLakeStoreAccountBasic]
    Raises: | `CloudError`

  `list_by_resource_group`(resource_group_name, filter=None, top=None, skip=None, select=None, orderby=None, count=None, custom_headers=None, raw=False, **operation_config)

    Lists the Data Lake Store accounts within a specific resource group. The response includes a link to the next page of results, if any.

    Parameters:

    - resource_group_name (str) – The name of the Azure resource group.
    - filter (str) – OData filter. Optional.
    - top (int) – The number of items to return. Optional.
    - skip (int) – The number of items to skip over before returning elements. Optional.
    - select (str) – OData Select statement. Limits the properties on each entry to just those requested, e.g. Categories?$select=CategoryName,Description. Optional.
    - orderby (str) – OrderBy clause. One or more comma-separated expressions with an optional “asc” (the default) or “desc” depending on the order you’d like the values sorted, e.g. Categories?$orderby=CategoryName desc. Optional.
    - count (bool) – A Boolean value of true or false to request a count of the matching resources included with the resources in the response, e.g. Categories?$count=true. Optional.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of DataLakeStoreAccountBasic
    Return type: | DataLakeStoreAccountBasicPaged[DataLakeStoreAccountBasic]
    Raises: | `CloudError`

  `update`(resource_group_name, account_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Updates the specified Data Lake Store account information.

    Parameters:

    - resource_group_name (str) – The name of the Azure resource group.
    - account_name (str) – The name of the Data Lake Store account.
    - parameters (UpdateDataLakeStoreAccountParameters) – Parameters supplied to update the Data Lake Store account.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns DataLakeStoreAccount or ClientRawResponse<DataLakeStoreAccount> if raw==True
    Return type: | AzureOperationPoller[DataLakeStoreAccount] or AzureOperationPoller[ClientRawResponse[DataLakeStoreAccount]]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.datalake.store.models' from '/usr/lib/python3/dist-packages/azure/mgmt/datalake/store/models/__init__.py'>

class `azure.mgmt.datalake.store.operations.``FirewallRulesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  FirewallRulesOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2016-11-01”.

  `create_or_update`(resource_group_name, account_name, firewall_rule_name, start_ip_address, end_ip_address, custom_headers=None, raw=False, **operation_config)

    Creates or updates the specified firewall rule. During update, the firewall rule with the specified name will be replaced with this new firewall rule.

    Parameters:

    - resource_group_name (str) – The name of the Azure resource group.
    - account_name (str) – The name of the Data Lake Store account.
    - firewall_rule_name (str) – The name of the firewall rule to create or update.
    - start_ip_address (str) – The start IP address for the firewall rule. This can be either ipv4 or ipv6. Start and End should be in the same protocol.
    - end_ip_address (str) – The end IP address for the firewall rule. This can be either ipv4 or ipv6. Start and End should be in the same protocol.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | FirewallRule or ClientRawResponse if raw=true
    Return type: | FirewallRule or ClientRawResponse
    Raises: | `CloudError`

  `delete`(resource_group_name, account_name, firewall_rule_name, custom_headers=None, raw=False, **operation_config)

    Deletes the specified firewall rule from the specified Data Lake Store account.

    Parameters:

    - resource_group_name (str) – The name of the Azure resource group.
    - account_name (str) – The name of the Data Lake Store account.
    - firewall_rule_name (str) – The name of the firewall rule to delete.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `get`(resource_group_name, account_name, firewall_rule_name, custom_headers=None, raw=False, **operation_config)

    Gets the specified Data Lake Store firewall rule.

    Parameters:

    - resource_group_name (str) – The name of the Azure resource group.
    - account_name (str) – The name of the Data Lake Store account.
    - firewall_rule_name (str) – The name of the firewall rule to retrieve.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | FirewallRule or ClientRawResponse if raw=true
    Return type: | FirewallRule or ClientRawResponse
    Raises: | `CloudError`

  `list_by_account`(resource_group_name, account_name, custom_headers=None, raw=False, **operation_config)

    Lists the Data Lake Store firewall rules within the specified Data Lake Store account.

    Parameters:

    - resource_group_name (str) – The name of the Azure resource group.
    - account_name (str) – The name of the Data Lake Store account.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of FirewallRule
    Return type: | FirewallRulePaged[FirewallRule]
    Raises: | `CloudError`

  `update`(resource_group_name, account_name, firewall_rule_name, start_ip_address=None, end_ip_address=None, custom_headers=None, raw=False, **operation_config)

    Updates the specified firewall rule.

    Parameters:

    - resource_group_name (str) – The name of the Azure resource group.
    - account_name (str) – The name of the Data Lake Store account.
    - firewall_rule_name (str) – The name of the firewall rule to update.
    - start_ip_address (str) – The start IP address for the firewall rule. This can be either ipv4 or ipv6. Start and End should be in the same protocol.
    - end_ip_address (str) – The end IP address for the firewall rule. This can be either ipv4 or ipv6. Start and End should be in the same protocol.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | FirewallRule or ClientRawResponse if raw=true
    Return type: | FirewallRule or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.datalake.store.models' from '/usr/lib/python3/dist-packages/azure/mgmt/datalake/store/models/__init__.py'>

class `azure.mgmt.datalake.store.operations.``VirtualNetworkRulesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  VirtualNetworkRulesOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2016-11-01”.

  `create_or_update`(resource_group_name, account_name, virtual_network_rule_name, subnet_id, custom_headers=None, raw=False, **operation_config)

    Creates or updates the specified virtual network rule. During update, the virtual network rule with the specified name will be replaced with this new virtual network rule.

    Parameters:

    - resource_group_name (str) – The name of the Azure resource group.
    - account_name (str) – The name of the Data Lake Store account.
    - virtual_network_rule_name (str) – The name of the virtual network rule to create or update.
    - subnet_id (str) – The resource identifier for the subnet.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | VirtualNetworkRule or ClientRawResponse if raw=true
    Return type: | VirtualNetworkRule or ClientRawResponse
    Raises: | `CloudError`

  `delete`(resource_group_name, account_name, virtual_network_rule_name, custom_headers=None, raw=False, **operation_config)

    Deletes the specified virtual network rule from the specified Data Lake Store account.

    Parameters:

    - resource_group_name (str) – The name of the Azure resource group.
    - account_name (str) – The name of the Data Lake Store account.
    - virtual_network_rule_name (str) – The name of the virtual network rule to delete.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `get`(resource_group_name, account_name, virtual_network_rule_name, custom_headers=None, raw=False, **operation_config)

    Gets the specified Data Lake Store virtual network rule.

    Parameters:

    - resource_group_name (str) – The name of the Azure resource group.
    - account_name (str) – The name of the Data Lake Store account.
    - virtual_network_rule_name (str) – The name of the virtual network rule to retrieve.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | VirtualNetworkRule or ClientRawResponse if raw=true
    Return type: | VirtualNetworkRule or ClientRawResponse
    Raises: | `CloudError`

  `list_by_account`(resource_group_name, account_name, custom_headers=None, raw=False, **operation_config)

    Lists the Data Lake Store virtual network rules within the specified Data Lake Store account.

    Parameters:

    - resource_group_name (str) – The name of the Azure resource group.
    - account_name (str) – The name of the Data Lake Store account.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of VirtualNetworkRule
    Return type: | VirtualNetworkRulePaged[VirtualNetworkRule]
    Raises: | `CloudError`

  `update`(resource_group_name, account_name, virtual_network_rule_name, subnet_id=None, custom_headers=None, raw=False, **operation_config)

    Updates the specified virtual network rule.

    Parameters:

    - resource_group_name (str) – The name of the Azure resource group.
    - account_name (str) – The name of the Data Lake Store account.
    - virtual_network_rule_name (str) – The name of the virtual network rule to update.
    - subnet_id (str) – The resource identifier for the subnet.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | VirtualNetworkRule or ClientRawResponse if raw=true
    Return type: | VirtualNetworkRule or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.datalake.store.models' from '/usr/lib/python3/dist-packages/azure/mgmt/datalake/store/models/__init__.py'>

class `azure.mgmt.datalake.store.operations.``TrustedIdProvidersOperations`(client, config, serializer, deserializer)

  Bases: `object`

  TrustedIdProvidersOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2016-11-01”.

  `create_or_update`(resource_group_name, account_name, trusted_id_provider_name, id_provider, custom_headers=None, raw=False, **operation_config)

    Creates or updates the specified trusted identity provider. During update, the trusted identity provider with the specified name will be replaced with this new provider.

    Parameters:

    - resource_group_name (str) – The name of the Azure resource group.
    - account_name (str) – The name of the Data Lake Store account.
    - trusted_id_provider_name (str) – The name of the trusted identity provider. This is used for differentiation of providers in the account.
    - id_provider (str) – The URL of this trusted identity provider.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | TrustedIdProvider or ClientRawResponse if raw=true
    Return type: | TrustedIdProvider or ClientRawResponse
    Raises: | `CloudError`

  `delete`(resource_group_name, account_name, trusted_id_provider_name, custom_headers=None, raw=False, **operation_config)

    Deletes the specified trusted identity provider from the specified Data Lake Store account.

    Parameters:

    - resource_group_name (str) – The name of the Azure resource group.
    - account_name (str) – The name of the Data Lake Store account.
    - trusted_id_provider_name (str) – The name of the trusted identity provider to delete.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `get`(resource_group_name, account_name, trusted_id_provider_name, custom_headers=None, raw=False, **operation_config)

    Gets the specified Data Lake Store trusted identity provider.

    Parameters:

    - resource_group_name (str) – The name of the Azure resource group.
    - account_name (str) – The name of the Data Lake Store account.
    - trusted_id_provider_name (str) – The name of the trusted identity provider to retrieve.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | TrustedIdProvider or ClientRawResponse if raw=true
    Return type: | TrustedIdProvider or ClientRawResponse
    Raises: | `CloudError`

  `list_by_account`(resource_group_name, account_name, custom_headers=None, raw=False, **operation_config)

    Lists the Data Lake Store trusted identity providers within the specified Data Lake Store account.

    Parameters:

    - resource_group_name (str) – The name of the Azure resource group.
    - account_name (str) – The name of the Data Lake Store account.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of TrustedIdProvider
    Return type: | TrustedIdProviderPaged[TrustedIdProvider]
    Raises: | `CloudError`

  `update`(resource_group_name, account_name, trusted_id_provider_name, id_provider=None, custom_headers=None, raw=False, **operation_config)

    Updates the specified trusted identity provider.

    Parameters:

    - resource_group_name (str) – The name of the Azure resource group.
    - account_name (str) – The name of the Data Lake Store account.
    - trusted_id_provider_name (str) – The name of the trusted identity provider. This is used for differentiation of providers in the account.
    - id_provider (str) – The URL of this trusted identity provider.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | TrustedIdProvider or ClientRawResponse if raw=true
    Return type: | TrustedIdProvider or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.datalake.store.models' from '/usr/lib/python3/dist-packages/azure/mgmt/datalake/store/models/__init__.py'>

class `azure.mgmt.datalake.store.operations.``Operations`(client, config, serializer, deserializer)

  Bases: `object`

  Operations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2016-11-01”.

  `list`(custom_headers=None, raw=False, **operation_config)

    Lists all of the available Data Lake Store REST API operations.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | OperationListResult or ClientRawResponse if raw=true
    Return type: | OperationListResult or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.datalake.store.models' from '/usr/lib/python3/dist-packages/azure/mgmt/datalake/store/models/__init__.py'>

class `azure.mgmt.datalake.store.operations.``LocationsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  LocationsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2016-11-01”.

  `get_capability`(location, custom_headers=None, raw=False, **operation_config)

    Gets subscription-level properties and limits for Data Lake Store specified by resource location.

    Parameters:

    - location (str) – The resource location without whitespace.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | CapabilityInformation or ClientRawResponse if raw=true
    Return type: | CapabilityInformation or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.datalake.store.models' from '/usr/lib/python3/dist-packages/azure/mgmt/datalake/store/models/__init__.py'>